<template>
    <div class="remind-card">
        <div class="remind-card-header">
            <div class="mdTxt text--black">即將約訪排程</div>
            <div class="smTxt_bold text--primary sub-title cursor--pointer" @click="toAgendaPage">查看全部</div>
        </div>

        <div class="remind-container">
            <div class="remind-date mr-10">
              <div class="mb-3 smTxt bgc-primary-red date-year">
                <div class="mb-3 mt-2">2021</div>
                </div>
              <div class="p mt-5">
                <div>12/25</div>
              </div>
            </div>

            <div class="remind-content-txt">
                <div class="mb-3">09:00</div>
                <div>約訪林志零</div>
            </div>

        </div>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop, Emit, Action, State, namespace } from 'nuxt-property-decorator';

@Component
export default class ConsultantAppointmentRemind extends Vue {

  toAgendaPage(){
    this.$router.push('/appointmentAgenda')
  }
    //////////////////////////////////////////////////////////////////////
}
</script>
<style lang="scss" scoped>
.remind-card{
    display: flex;
    flex-direction:column;
    justify-content: center;
    border: 1px solid #CCCCCC;
    height: 131px;
    padding: 10px 20px;
    background-color: #fff;
    .remind-card-header{
        display: flex;
        justify-content: space-between;
        align-items: baseline;
        .sub-title{
            border-bottom: 1px solid $PRIMARY_RED;
        }
    }
}

</style>
